<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Library Configuration: libxfce4windowing Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="libxfce4windowing Reference Manual">
<link rel="up" href="libxfce4windowingui-utilities.html" title="Part II. Windowing Utilities">
<link rel="prev" href="libxfce4windowingui-utilities.html" title="Part II. Windowing Utilities">
<link rel="next" href="libxfce4windowing-widgets.html" title="Part III. Widgets">
<meta name="generator" content="GTK-Doc V1.34.0 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#libxfce4windowingui-Library-Configuration.description" class="shortcut">Description</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libxfce4windowingui-utilities.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libxfce4windowingui-utilities.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libxfce4windowing-widgets.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="libxfce4windowingui-Library-Configuration"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="libxfce4windowingui-Library-Configuration.top_of_page"></a>Library Configuration</span></h2>
<p>Library Configuration — libxfce4windowingui config macros</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.stability-level"></a><h2>Stability Level</h2>
<acronym title="The intention of a Stable interface is to enable arbitrary third parties to
develop applications to these interfaces, release them, and have confidence that
they will run on all minor releases of the product (after the one in which the
interface was introduced, and within the same major release). Even at a major
release, incompatible changes are expected to be rare, and to have strong
justifications.
"><span class="acronym">Stable</span></acronym>, unless otherwise indicated
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_proto_type">
<col class="functions_proto_name">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-CHECK-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_CHECK_VERSION()">LIBXFCE4WINDOWINGUI_CHECK_VERSION</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">const <span class="returnvalue">gchar</span> *
</td>
<td class="function_name">
<a class="link" href="libxfce4windowingui-Library-Configuration.html#libxfce4windowingui-check-version" title="libxfce4windowingui_check_version ()">libxfce4windowingui_check_version</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="other_proto_type">
<col class="other_proto_name">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MAJOR-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MAJOR_VERSION">LIBXFCE4WINDOWINGUI_MAJOR_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MINOR-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MINOR_VERSION">LIBXFCE4WINDOWINGUI_MINOR_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MICRO-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MICRO_VERSION">LIBXFCE4WINDOWINGUI_MICRO_VERSION</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#libxfce4windowingui-major-version" title="libxfce4windowingui_major_version">libxfce4windowingui_major_version</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#libxfce4windowingui-micro-version" title="libxfce4windowingui_micro_version">libxfce4windowingui_micro_version</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libxfce4windowingui-Library-Configuration.html#libxfce4windowingui-minor-version" title="libxfce4windowingui_minor_version">libxfce4windowingui_minor_version</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.includes"></a><h2>Includes</h2>
<pre class="synopsis">#include &lt;libxfce4windowingui/libxfce4windowingui.h&gt;
</pre>
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.description"></a><h2>Description</h2>
<p>Variables and functions to check the libxfce4windowingui version.</p>
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="LIBXFCE4WINDOWINGUI-CHECK-VERSION:CAPS"></a><h3>LIBXFCE4WINDOWINGUI_CHECK_VERSION()</h3>
<pre class="programlisting">#define             LIBXFCE4WINDOWINGUI_CHECK_VERSION(major, minor, micro)</pre>
<p>A macro to compare libxfce4windowingui versions to determine if a particular
function is available.</p>
<div class="refsect3">
<a name="LIBXFCE4WINDOWINGUI-CHECK-VERSION.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>major</p></td>
<td class="parameter_description"><p>The major version of the library, i.e. 4</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>minor</p></td>
<td class="parameter_description"><p>The minor version of the library, i.e. 18</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>micro</p></td>
<td class="parameter_description"><p>The micro release of the library, i.e. 0</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="libxfce4windowingui-check-version"></a><h3>libxfce4windowingui_check_version ()</h3>
<pre class="programlisting">const <span class="returnvalue">gchar</span> *
libxfce4windowingui_check_version (<em class="parameter"><code><span class="type">guint</span> required_major</code></em>,
                                   <em class="parameter"><code><span class="type">guint</span> required_minor</code></em>,
                                   <em class="parameter"><code><span class="type">guint</span> required_micro</code></em>);</pre>
<p>Checks that the libxfce4windowingui library
in use is compatible with the given version. Generally you would pass in
the constants <a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MAJOR-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MAJOR_VERSION"><span class="type">LIBXFCE4WINDOWINGUI_MAJOR_VERSION</span></a>, <a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MINOR-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MINOR_VERSION"><span class="type">LIBXFCE4WINDOWINGUI_MINOR_VERSION</span></a> and
<a class="link" href="libxfce4windowingui-Library-Configuration.html#LIBXFCE4WINDOWINGUI-MICRO-VERSION:CAPS" title="LIBXFCE4WINDOWINGUI_MICRO_VERSION"><span class="type">LIBXFCE4WINDOWINGUI_MICRO_VERSION</span></a> as the three arguments to this function; that produces
a check that the library in use is compatible with the version of
libxfce4windowingui the extension was compiled against.</p>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1
2
3
4
5
6
7</pre></td>
        <td class="listing_code"><pre class="programlisting"><span class="k">const</span><span class="w"> </span><span class="n">gchar</span><span class="w"> </span><span class="o">*</span><span class="n">mismatch</span><span class="p">;</span>
<span class="n">mismatch</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">libxfce4windowingui_check_version</span><span class="p">(</span><span class="n">LIBXFCE4WINDOWINGUI_MAJOR_VERSION</span><span class="p">,</span>
<span class="w">                                             </span><span class="n">LIBXFCE4WINDOWINGUI_MINOR_VERSION</span><span class="p">,</span>
<span class="w">                                             </span><span class="n">LIBXFCE4WINDOWINGUI_MICRO_VERSION</span><span class="p">);</span>
<span class="k">if</span><span class="w"> </span><span class="p">(</span><span class="n">G_UNLIKELY</span><span class="p">(</span><span class="n">mismatch</span><span class="w"> </span><span class="o">!=</span><span class="w"> </span><span class="nb">NULL</span><span class="p">))</span><span class="w"> </span><span class="p">{</span>
<span class="w">  </span><span class="n">g_error</span><span class="p">(</span><span class="s">&quot;Version mismatch: %s&quot;</span><span class="p">,</span><span class="w"> </span><span class="n">mismatch</span><span class="p">);</span>
<span class="p">}</span></pre></td>
      </tr>
    </tbody>
  </table>
</div>

<p></p>
<div class="refsect3">
<a name="libxfce4windowingui-check-version.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>required_major</p></td>
<td class="parameter_description"><p>the required major version.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>required_minor</p></td>
<td class="parameter_description"><p>the required minor version.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>required_micro</p></td>
<td class="parameter_description"><p>the required micro version.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="libxfce4windowingui-check-version.returns"></a><h4>Returns</h4>
<p><code class="literal">NULL</code> if the library is compatible
with the given version, or a string describing the version mismatch. The
returned string is owned by the library and must not be freed or modified by
the caller. </p>
<p><span class="annotation">[<acronym title="NULL may be passed as the value in, out, in-out; or as a return value."><span class="acronym">nullable</span></acronym>][<acronym title="The data is owned by the callee, which is responsible of freeing it."><span class="acronym">transfer none</span></acronym>]</span></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="libxfce4windowingui-Library-Configuration.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="LIBXFCE4WINDOWINGUI-MAJOR-VERSION:CAPS"></a><h3>LIBXFCE4WINDOWINGUI_MAJOR_VERSION</h3>
<pre class="programlisting">#define LIBXFCE4WINDOWINGUI_MAJOR_VERSION (4)
</pre>
<p>A macro that evaluates to the major version of libxfce4windowingui, in a format
that can be used by the C pre-processor.</p>
</div>
<hr>
<div class="refsect2">
<a name="LIBXFCE4WINDOWINGUI-MINOR-VERSION:CAPS"></a><h3>LIBXFCE4WINDOWINGUI_MINOR_VERSION</h3>
<pre class="programlisting">#define LIBXFCE4WINDOWINGUI_MINOR_VERSION (20)
</pre>
<p>A macro that evaluates to the minor version of libxfce4windowingui, in a format
that can be used by the C pre-processor.</p>
</div>
<hr>
<div class="refsect2">
<a name="LIBXFCE4WINDOWINGUI-MICRO-VERSION:CAPS"></a><h3>LIBXFCE4WINDOWINGUI_MICRO_VERSION</h3>
<pre class="programlisting">#define LIBXFCE4WINDOWINGUI_MICRO_VERSION (2)
</pre>
<p>A macro that evaluates to the micro version of libxfce4windowingui, in a format
that can be used by the C pre-processor.</p>
</div>
<hr>
<div class="refsect2">
<a name="libxfce4windowingui-major-version"></a><h3>libxfce4windowingui_major_version</h3>
<pre class="programlisting">extern const guint libxfce4windowingui_major_version;
</pre>
<p>A constat that evaluates to the major version of libxfce4windowingui.</p>
</div>
<hr>
<div class="refsect2">
<a name="libxfce4windowingui-micro-version"></a><h3>libxfce4windowingui_micro_version</h3>
<pre class="programlisting">extern const guint libxfce4windowingui_micro_version;
</pre>
<p>A constat that evaluates to the micro version of libxfce4windowingui.</p>
</div>
<hr>
<div class="refsect2">
<a name="libxfce4windowingui-minor-version"></a><h3>libxfce4windowingui_minor_version</h3>
<pre class="programlisting">extern const guint libxfce4windowingui_minor_version;
</pre>
<p>A constat that evaluates to the minor version of libxfce4windowingui.</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.34.0</div>
</body>
</html>